Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 2.4.0

Resolution: Fixed Affected version: 2.2.1
Description

Hi,

there is a useless link in the topmenu of the workflow section. | can click on "edit" even if | need to choose the "edit" button after
some role and tracker selection. This edit button just leads me back on the same page.

Best regards,
Daniel

Related issues:
Related to Redmine - Defect #2414: 'Add News Button' in 'Add news' Reopened

Associated revisions

Revision 12004 - 2013-07-11 21:12 - Jean-Philippe Lang

Useless "edit" link in workflow menu (#12824).

History

#1 - 2013-01-23 11:01 - Daniel Felix

- Target version set to 2.2.3

#2 - 2013-01-27 11:17 - Jean-Philippe Lang

- Target version changed from 2.2.3 to Candidate for next minor release

#3 - 2013-03-18 10:45 - Daniel Felix

- Target version changed from Candidate for next minor release to 2.3.1

Maybe this time this would find its way in the next minor release.

#4 - 2013-03-19 22:43 - Jean-Philippe Lang

Should we only show Copy and Summary links when editing, only Edit and Summary links when copying and Edit and Copy links on the summary?
I've tried and don't really like the way the menu changes when clicking its items.

#5 - 2013-03-20 18:38 - Daniel Felix
What about deactivating those menu items. Something like grey them out? This would let the menu look the same on each link, but prevent the user
from clicking edit if he is already in the edit mode.

Some idea how to use this could be the pointer-events setting in CSS.
See: http://css-tricks.com/pointer-events-current-nav/

There is just one regression: http:/caniuse.com/#search=pointer-events
The IE support is not given.

Another idea would be to add this to the active menu item: onclick="return false"
Or just a jQuery function:

$(".currentMenu").click(function(){

return false;

Ds
http://css-tricks.com/pointer-events-current-nav/
http://caniuse.com/#search=pointer-events

Which suggests, that the current menu item get another class.
Maybe this idea is helpful.
#6 - 2013-05-01 14:48 - Jean-Philippe Lang

- Category changed from Issues workflow to Ul

- Target version changed from 2.3.1 to 2.4.0

#7 - 2013-07-11 21:13 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r12004 using another approach (similar to what was already done for trackers).

2025-08-23 22


https://www.redmine.org/projects/redmine/repository/svn/revisions/12004
http://www.tcpdf.org

